Skip to navigation

Update Capability Ceilings

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired

Request

This endpoint expects an object.
allowedGitHostslist of strings or nullOptional
disallowedToolslist of enumsOptional
domainDenylistlist of stringsOptional
egressEnabledbooleanOptionalDefaults to true

Response

Successful Response
canEditboolean
ceilingsobject

Per-project ceilings. The defaults impose no limit.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error